Package Details: gmusicbrowser-shimmer 1.1.15-2

Git Clone URL: https://aur.archlinux.org/gmusicbrowser-shimmer.git (read-only)
Package Base: gmusicbrowser-shimmer
Description: An open-source jukebox for large collections of mp3/ogg/flac/mpc/ape files, written in perl with Shimmer layout
Upstream URL: http://shimmerproject.org/our-projects/shimmer-for-gmusicbrowser/
Licenses: GPL3
Conflicts: gmusicbrowser, gmusicbrowser-devel, gmusicbrowser-development, gmusicbrowser-git, gmusicbrowser-shimmer-git
Submitter: cippaciong
Maintainer: cippaciong
Last Packager: cippaciong
Votes: 2
Popularity: 0.000000
First Submitted: 2014-03-22 14:27
Last Updated: 2016-06-25 15:53

Dependencies (27)

Required by (0)

Sources (3)

Latest Comments

1 2 Next › Last »

cippaciong commented on 2016-08-29 11:20

@PhotonX Do you mean gstreamer0.10 or gst?

PhotonX commented on 2016-08-17 12:49

Gstreamer backend works for me without perl-glib-object-introspection being installed, I think, it can be removed from optdepends.

goetzc commented on 2015-09-03 14:19

Thanks hansi, installing this package.

hansi commented on 2015-09-03 12:32

@goetzc Take a look at these GMB bbs topics: http://forum.gmusicbrowser.org/index.php?topic=782.msg3629 http://forum.gmusicbrowser.org/index.php?topic=859.msg3882 http://forum.gmusicbrowser.org/index.php?topic=898.0

goetzc commented on 2015-09-03 01:02

The standard gmusicbrowser includes two Shimmer layouts, Desktop and Netbook, is this not the same offered by this package?

cippaciong commented on 2015-08-26 14:37

I'm unflagging the package because, even if a new version of gmusicbrowser was released, the Shimmer team has not updated its version yet (https://launchpad.net/~shimmerproject/+archive/ubuntu/ppa).
Feel free to flag the package again if the Shimmer version comes out and I miss it.
Thank you.

cippaciong commented on 2015-07-01 08:34

Hello, if you are having problems with gmusicbrowser crashing at startup, please see this thread: https://bbs.archlinux.org/viewtopic.php?pid=1540577

hansi commented on 2015-03-13 12:14

Hi,

Sorry but this was because I was trying to build (and apply your patch to) the latest GMB from the -git repository, because it contains the last fixes to gain support of gstreamer-1.x and these modifications are needed to suppress the errors like "Playing error : Resource not found at" appeared with a full up-to-date system.
So in fact you're right, your package build correctly but GMB is not the last version this way...
Anyway, I applyied Shimmer modifications by hand and now everything is working great, and no more gstreamer related errors (and stopping playback).

cippaciong commented on 2015-03-11 22:37

@hansi: Hello, I can't find any version of gmusicbrowser-shimmer newer than this one, can you please provide a reference?
About the problem you are having with the patch, I tried to build the package on my system and it works just fine. Also, this line
==> Lancement de build()...
is strange since there isn't any build() function in my PKGBUILD. Are you sure you are building my package without any modification?

hansi commented on 2015-03-10 15:25

Hi,

It seems out of date, main version includes support for gstreamer-1.x that removes all of the annoying Gstreamer errors "Playing error : Resource not found at..."
Problem, the patch do not apply anymore..:
==> Version mise à jour : gmusicbrowser-git 1.1.13.1288-1
==> Lancement de build()...
patching file gmbrc.default
patching file gmusicbrowser.pl
Hunk #1 succeeded at 613 (offset 44 lines).
patching file gmusicbrowser_layout.pm
Hunk #7 succeeded at 1675 (offset 14 lines).
patching file gmusicbrowser_list.pm
Hunk #3 FAILED at 242.
Hunk #6 succeeded at 3352 (offset 4 lines).
Hunk #7 succeeded at 4634 (offset 4 lines).
Hunk #8 succeeded at 5567 (offset 4 lines).
Hunk #9 succeeded at 5630 (offset 4 lines).
1 out of 9 hunks FAILED -- saving rejects to file gmusicbrowser_list.pm.rej
patching file layouts/songtree.layout
patching file plugins/fetch_cover.pm
==> ERREUR : Une erreur s’est produite dans build().
Abandon...
==> ERREUR: Makepkg n'a pas pu construire gmusicbrowser-git.